*********************************************************
* Fuente de rutina auxiliar para BGShell
* BGShell Auxiliar routine source code
*********************************************************
* Funcin: Define una tecla de men CST dinmica que se
*          actualiza al ritmo de una interrupcin controlable
*          con SETINT.
* Function: Defines a CST dynamic softkey that changes 
*           with a rate settable by SETINT.
* Usa/Uses: &SIGNAL0
* Funciona con/Works with: CST
*********************************************************

* Guardar lo siguiente en HOME con el nombre 'AUX'
* Store the following in the HOME directory as 'AUX' 
::
 CK0NOLASTWD		(obligatorio/mandatory)
 LAM &SIGNAL0
 #0=ITE
 ONE ZERO
 ' LAM &SIGNAL0
 STOLAM			(intercambia 0 por 1 o viceversa en &SIGNAL0)
			(toggles &SIGNAL0 state 0/1)
 MenuDef@
 ' ROMPTR A9 1		(definicin de CST/CST definition)
 EQUALcase
 ::
  DispMenu		(refresca el men/redraw menu area)
  SetDA3Bad
 ;
;

*******************************************************
* Definicin de CST / CST custom definition
*******************************************************

* Guardar lo siguiente como 'CST'
* Store the following as 'CST'
{
 {
  ::
   TakeOver		(obligatorio en definicin de tecla de men)
			(mandatory in menu softkey definition)
   TOD TOD>t$ 
   DUPTWO THREE
   SUB$SWAP
   FIVE SIX
   SUB$			(extrae "hh" y "mm" de la hora actual)
			(extracts "hh" and "mm" from the current time)
   THIRTYTWO 
   LAM &SIGNAL0
   # 7E #* #+
   #>CHR		(obtiene " " o un cuadrado segn el valor de &SIGNAL0)
			(gets " " or a square depending on &SIGNAL0's value)
   ROTSWAP
   >T$ SWAP&$		(compone la hora en el formato "hh:mm")
			(writes the time in "hh:mm" format)
  ;
  {
   xTIME		(ejecuta TIME al pulsar la tecla)
			(does TIME when the softkey is pressed)
  }
 }
}
